%define major 2
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	A library for audio labelling
Name:		aubio
Version:	0.3.2
Release:	%mkrel 11
License:	GPLv2+
Group:		Sound/Utilities
Url:		http://aubio.org/
Source0:	http://aubio.org/pub/%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.3.2-format_not_a_string_literal_and_no_format_arguments.patch
Patch1:		aubio-0.3.2-fix-link.patch
BuildRequires:	fftw3-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libalsa-devel
BuildRequires:	swig
BuildRequires:	lash-devel
BuildRequires:	pd-devel
BuildRequires:	docbook-to-man
Requires:	%{libname} = %{version}-%{release}

%description
A library for audio labelling. Its features include segmenting 
a sound file before each of its attacks, performing pitch 
detection, tapping the beat and producing midi streams from 
live audio. The name aubio comes from 'audio' with a typo: 
several transcription errors are likely to be found in the 
results too.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
Main library for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%package -n python-%{name}
Summary:	Python bindings for %{name}
Group:		Development/Python
Requires:	%{libname} = %{version}-%{release}
%py_requires -d

%description -n python-%{name}
Python bindings for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
%define _disable_ld_no_undefined 1
export CPPFLAGS="%{optflags} -I%{_includedir}/pd"
export LDFLAGS="%ldflags -lm"
%configure2_5x --disable-static

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%ifarch x86_64
mv -f %{buildroot}%{_prefix}/lib/pd %{buildroot}%{_libdir}/pd
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README THANKS TODO
%{_bindir}/*
%{_datadir}/sounds/*
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*
%{_libdir}/pd
                  
%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n python-%{name}
%defattr(-,root,root)
%{python_sitelib}/*




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.3.2-11.mga3
+ Revision: 346570
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 malo <malo> 0.3.2-10.mga3
+ Revision: 322752
- update RPM group

* Sat Dec 10 2011 eatdirt <eatdirt> 0.3.2-9.mga2
+ Revision: 180311
- Rebuilt for fftw-3.3
  Fix compilation failure due to missing symbols

* Tue Jun 14 2011 dmorgan <dmorgan> 0.3.2-8.mga2
+ Revision: 106324
- Do not package .la files

* Tue Mar 29 2011 ennael <ennael> 0.3.2-7.mga1
+ Revision: 78703
- clean spec file
- clean spec file
- imported package aubio

